Subject: Re: [tsvwg] Adam Roach's No Objection on draft-ietf-tsvwg-ecn-experimentation-06: (with COMMENT)

From: "Black, David" <[email-masked]>
Date: Tue, 17 Oct 2017 19:56:00 +0000

Adam,

Thanks for the comments ... responses inline ... changes are in my working version of what will become -07.

Thanks, --David

> -----Original Message-----
> From: Adam Roach [mailto:[email-masked]]
> Sent: Wednesday, September 27, 2017 12:11 AM
> To: The IESG <[email-masked]>
> Cc: [email-masked]; Gorry Fairhurst
> <[email-masked]>; [email-masked]; [email-masked];
> [email-masked]
> Subject: Adam Roach's No Objection on draft-ietf-tsvwg-ecn-
> experimentation-06: (with COMMENT)
> 
> Adam Roach has entered the following ballot position for
> draft-ietf-tsvwg-ecn-experimentation-06: No Objection
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-tsvwg-ecn-experimentation/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> Section 3 ends with the following text:
> 
>    Additional minor changes remove other mentions of the ECN nonce and
>    implications that ECT(1) is intended for use by the ECN nonce; the
>    specific text updates are omitted for brevity.
> 
> I'm not sure I follow what's meant here. Is this basically saying "there are
> other, less substantive edits required to RFC 3168, but those changes are left
> as an exercise for the reader"?
> 
[David>] Yes.  New text:

In addition, other less substantive RFC 3168 changes are required to remove all other mentions of the ECN nonce and to remove implications that ECT(1) is intended for use by the ECN nonce; the specific text updates are omitted for brevity.

> [Sorry for the additional noise, but I noticed one more issue that you'll want
> to correct]
> 
> Section 9 says "See Appendix B.1 of [I-D.ietf-tsvwg-ecn-l4s-id] for discussion
> of alternatives to the ECN nonce." I beleive that this should refer to
> Appendix
> C.1 rather than Appendix B.1.
> 
[David>] Fixed, good catch, thanks for checking!